Mulgara - Bug #97

Language codes not implemented
04/15/2008 06:41 PM - Paula Gearon

Status: Closed Start date:

Priority: Urgent Due date:

Assignee: Paula Gearon % Done: 0%
Category: Mulgara Estimated time: 0.00 hour
Target version:

Resolution: fixed

Description

Literals in the string pool are not encoded with language codes. In the past, this was put off "until later", but it is a serious lapse in
supporting the RDF standards.

The places where literals are stored and retrieved from a byte buffer are:
The SPStringlmpl class.
SPObjectFactorylmpl.newSPObject(Node)this converts a Literallmpl into an SPStringlmpl

| suggest using an escapable code for a separator character. This will allow minimal changes to the current system.

History

#1 - 05/18/2008 04:45 PM - Paula Gearon
- Status changed from New to Closed

- Resolution set to fixed

#2 - 05/18/2008 10:37 PM - ronald -
Fixed in r942 and r943.
https://code.mulgara.org/projects/mulgara/wiki/LiteralImpl
https://code.mulgara.org/projects/mulgara/repository/3/revisions/942
https://code.mulgara.org/projects/mulgara/repository/3/revisions/943
http://www.tcpdf.org

